# IRdNtClientInfoDisp Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
## Properties
RtCSNID * | Id`[get]`
RtCSNID | Id`[set]`
BSTR * | Name`[get]`
BSTR | Name`[set]`
RtQWORD * | SrvTimeLogIn`[get]`
RtQWORD | SrvTimeLogIn`[set]`
RtQWORD * | LocTimeLogIn`[get]`
RtQWORD | LocTimeLogIn`[set]`
ReNtCIStatus * | Status`[get]`
ReNtCIStatus | Status`[set]`
BSTR * | Privileges`[get]`
BSTR | Privileges`[set]`
BSTR * | URL`[get]`
BSTR | URL`[set]`
RtDWORD * | Flags`[get]`
RtDWORD | Flags`[set]`

## Detailed Description

Client info data object is used to store and transfer information about client between client and server.
Use this interface to work with scripts.

## Member Function Documentation

HRESULT IRdNtClientInfoDisp::Clear | ( | void |  | ) |

Method clear client's info.

        var cInfo = System.CreateDO('Network Package/Net Client Info Data');
        cInfo.Clear();

## Property Documentation

RtCSNID * IRdNtClientInfoDisp::Id`[get]`

Use this property to read client's session ID.

Returns:
  pcsnidClient [out, retval] Returns client's session ID.

     var getInfo = cInfo.Id;

RtCSNID IRdNtClientInfoDisp::Id`[set]`

Use this property to set client's session ID.

Parameters:

  | csnidClient | [in] Client's session ID.

        cInfo.Id = sessionIDhere;

BSTR * IRdNtClientInfoDisp::Name`[get]`

Use this property to read client's Name in this session.

Returns:
  pbstrName [out, retval] Returns client's Name in this session.

        var cName = cInfo.Name;

BSTR IRdNtClientInfoDisp::Name`[set]`

Use this property to set client's Name.

Parameters:

  | bstrName | [in] Client's Name.

     cInfo.Name = cName;

RtQWORD * IRdNtClientInfoDisp::SrvTimeLogIn`[get]`

Use this property to get time when client logged in on server.

Returns:
  pqwSrvTime [out, retval] Returns client's login time on server.

     var srvLoginTime = cInfo.SrvTimeLogIn;

RtQWORD IRdNtClientInfoDisp::SrvTimeLogIn`[set]`

Use this property to set server's login time for this client and session.

Parameters:

  | qwSrvTime | [in] Client's login time on server.

     cInfo.SrvTimeLogIn = srvLoginTime;

RtQWORD * IRdNtClientInfoDisp::LocTimeLogIn`[get]`

Use this property to get local client's login time.

Returns:
  pqwLocTime [out, retval] Client's local login time.

     var locLoginTime = cInfo.LocTimeLogIn;

RtQWORD IRdNtClientInfoDisp::LocTimeLogIn`[set]`

Use this property to set local client's login time.

Parameters:

  | qwLocTime | [in] Client's local login time.

     cInfo.LocTimeLogIn = locLoginTime;

ReNtCIStatus * IRdNtClientInfoDisp::Status`[get]`

Use this property to read client's status.

Returns:
  pciStat [out, retval] Returns client's status. See RdNtClientInfo::ReNtCIStatus for possible values.

     var cStatus = cInfo.Status;

ReNtCIStatus IRdNtClientInfoDisp::Status`[set]`

Use this property to set client's status.

Parameters:

  | ciStat | [in] Client's status. See RdNtClientInfo::ReNtCIStatus for possible values.

     cInfo.Status = cStatus;

BSTR * IRdNtClientInfoDisp::Privileges`[get]`

Use this property to read client's privileges.

Returns:
  pbstrPrivileges [out, retval] Returns client's privileges.

     var cPriv = cInfo.Privileges;

BSTR IRdNtClientInfoDisp::Privileges`[set]`

Use this property to set client's privileges.

Parameters:

  | bstrPrivileges | [in] Client's privileges.

     cInfo.Privileges = cPriv;

BSTR * IRdNtClientInfoDisp::URL`[get]`

Use this property to read client's URL.

Returns:
  pbstrURL [out, retval] Returns client's URL.

     var cURL = cInfo.URL;

BSTR IRdNtClientInfoDisp::URL`[set]`

Use this property to set client's URL.

Parameters:

  | bstrURL | [in] Client's URL.

     cInfo.URL = cURL;

RtDWORD * IRdNtClientInfoDisp::Flags`[get]`

Use this property to read client's flags.

Returns:
  pdwFlags [out, retval] Return client's flags. See RdNtClientInfo::ReNtCIFlags for possible values.

     var cFlags = cInfo.Flags;

RtDWORD IRdNtClientInfoDisp::Flags`[set]`

Use this property to set client's flags.

Parameters:

  | dwFlags | [in] New client's flags. See RdNtClientInfo::ReNtCIFlags for possible values.

     cInfo.Flags = cFlags;